french-deconjugator(1)

NOM
french-deconjugator - analyse un verbe français conjugué

SYNOPSIS
echo aimé | french-deconjugator > result.txt

DESCRIPTION
french-deconjugator lit des verbes français conjugués de la ligne de commande ou de l'entrée standard et écrit (dans sa sortie standard) la forme infinitive, le mode (mots-clefs anglais: infinitive, indicative, conditional, subjunctive, imperative ou participle), le temps (mots clefs anglais: present, past, imperfect, future), la personne (1, 2 ou 3, tandis que 0 est utilisé pour le participe présent et 4 et 5 sont utilisés pour le participe passé), et le nombre (mots-clefs anglais: singular or plural). Ces champs sont séparés par une virgule et un espace.

L'entrée standard n'est pas lue si des verbes sont passés sur la ligne de commande.

Par convention, les personnes 4 et 5 sont utilisées au participe passé pour indiquer le genre: 4 signifie masculin (e.g., "aimé" ou "aimés"), et 5 signifie féminin (e.g., "aimée" ou "aimées").

Une forme conjuguée peut correspondre à plus d'un mode, temps et personne. Dans ce cas, chaque alternative est écrite sur sa propre ligne.

Dans tous les cas, la fin de la réponse est marquée par une ligne vide. Si le mot était inconnu, seule cette ligne vide est écrite. Les noms des modes, temps et nombres sont toujours en anglais. (Ceci sert à faciliter le parsing du résultat. Pour une interface-usager en français, voir l'application et l'applet GNOME.)

La commande écoule son tampon d'écriture après avoir fini chaque réponse. Ceci permet à la commande d'être facilement appelée à partir d'un autre programme via deux «pipes».

La commande commence par charger sa base de données à partir de fichiers XML (situés typiquement dans /usr/share/verbiste). Ceci prend un certain temps, alors c'est une bonne idée de faire répondre la commande à plusieurs requêtes plutôt que de l'exécuter pour chaque requête.

L'archive des sources de la librairie verbiste contient des exemples de programmes en Perl et en Java qui illustrent cette technique.

Cette commande s'attend à lire des caractères Latin-1 et écrit des caractères Latin-1. Il ne doit pas y avoir de caractères blancs au début ou à la fin des lignes lues par la commande.

OPTIONS

--help
    afficher une page d'aide et quitter

--version
    afficher le numéro de version et quitter

--lang=L
    sélectionne la langue à utiliser (fr pour le français ou it pour l'italien); le français est la langue par défaut

--all-infinitives
    print the infinitive form of all the verbs in the knowledge base, one per line, unsorted -- other command-line arguments are ignored

EXEMPLES
$ french-deconjugator aimé
aimer, participle, past, 0, singular

$ echo -ne 'a\nplu\nété\n' | french-deconjugator
avoir, indicative, present, 3, singular

plaire, participle, past, 0, singular
pleuvoir, participle, past, 0, singular

être, participle, past, 0, singular

LICENCE
Ce programme est un logiciel libre; vous pouvez le redistribuer sous les termes de la GNU General Public License. Ce programme ne vient avec absolument aucune garantie.

AUTEUR
Voir la page de manuel de verbiste(3).

BOGUES
Voir la page de manuel de verbiste(3).

VOIR AUSSI
verbiste(3), french-conjugator(1).